// pages/home/home.js
import {
  openFileFunc,
  toNavigatePage
} from "../../utils/util"
import api from "../../api/index"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    news: [],
    meet: {}
  },

  openFile(e) {
    const url = e.currentTarget.dataset.url || "";
    const fileName = url.split("/").reverse()[0];
    if (!url) return;
    openFileFunc(url, fileName);
  },

  changeTab(e) {
    wx.reLaunch({
      url: e.currentTarget.dataset.url
    })
  },

  toPage(e) {
    toNavigatePage(e.currentTarget.dataset.url + '?cover=' + e.currentTarget.dataset.cover)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // console.log(__wxConfig)
    Promise.all([api.getNewList({}), api.getMeetDetail({})]).then(list=>{
      const meet  = list[1] || {};
      meet.time = meet.startTime.split(" ")[0];
      meet.sponsor = meet.sponsor.split(",");
      meet.organizer = meet.organizer.split(",");
      this.setData({
        news: list[0].records || [],
        meet: list[1] || {}
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {},
  onShareTimeline() {}
})