// pages/signUp/index.js
import api from "../../api/index"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userName: "",
    photo: wx.getStorageSync('photo') || "",
    phone: wx.getStorageSync('phone') || "",
    code: wx.getStorageSync('code') || "",
    email: "",
    company: "",
    department: "",
    position: "",
    loading: false,
    isBorder: false
  },
  chooseavatar(e) {
    const url = e.detail.avatarUrl || "";
    wx.setStorageSync('userUrl', url);
    this.setData({
      photo: url
    })
  },
  getPhone(e) {
    const {
      detail: {
        code
      }
    } = e;
    if(!code) return wx.showToast({
      title: '未授权获取手机号',
      icon: 'none'
    })
    api.getPhone({
      code
    }).then(r => {
      const {
        phone
      } = r;
      wx.setStorageSync('phone', phone);
      wx.setStorageSync('code', code);
      this.setData({
        phone,
        code
      })
    })
  },
  submit() {
    this.setData({
      loading: true
    })
    const {
      userName,
      photo,
      phone,
      email,
      company,
      department,
      position,
      code
    } = this.data;
    if (!phone) return wx.showToast({
      title: '未获取手机号',
      icon: 'none'
    })
    api.postSignUp({
      code,
      data: {
        "openId": "",
        source: "微信",
        userName,
        photo,
        phone,
        email,
        company,
        department,
        position
      }
    }).then(r => {
      console.log(r)
      wx.showToast({
        title: '报名成功',
        icon: 'none'
      })
      this.setData({
        loading: false
      })
    }).catch(() => {
      this.setData({
        loading: false
      })
    })

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})